<?php
/**
 * PDF Invoicing for WooCommerce - TCPDF Class
 *
 * @version 1.1.0
 * @since   1.1.0
 * @author  Algoritmika Ltd
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'Alg_WC_PDF_Invoicing_TCPDF' ) ) :

class Alg_WC_PDF_Invoicing_TCPDF extends TCPDF {

	/**
	 * Header.
	 *
	 * @version 1.1.0
	 * @since   1.1.0
	 */
	function Header() {
		if ( 'yes' === $this->alg_wc_pdf_invoicing_doc->get_doc_option( 'enable_header' ) ) {
			parent::Header();
		}
	}

	/**
	 * Footer.
	 *
	 * @version 1.1.0
	 * @since   1.1.0
	 */
	function Footer() {
		if ( 'yes' === $this->alg_wc_pdf_invoicing_doc->get_doc_option( 'enable_footer' ) ) {
			if ( '' != ( $footer_text = $this->alg_wc_pdf_invoicing_doc->get_doc_option( 'footer_text', true ) ) ) {
				$footer_text = str_replace( array( '%page_num%', '%total_pages%' ), array( $this->getAliasNumPage(), $this->getAliasNbPages() ), $footer_text );
				$this->Cell( 0, 0, $footer_text, 'T', 0, $this->alg_wc_pdf_invoicing_doc->get_doc_option( 'footer_text_align' ) );
			}
		}
	}

}

endif;